import * as $dara from '@darabonba/typescript';
import { GetVpcRouteEntrySummaryResponseBody } from "./GetVpcRouteEntrySummaryResponseBody";
export declare class GetVpcRouteEntrySummaryResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetVpcRouteEntrySummaryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
